<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Баны и предупреждения');
///Подключаем шапку
$title->GetHeader();

$id = abs((int)$_GET['id']);
if (!user_inf($id)) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>История наказаний</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">История наказаний</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - История наказаний '.Nick($id).'</div>';
if (isset($_GET['del'])) {
if ($b['level'] < user_inf($id, 'level') && $id == $b['id']) {
header('location: /');
die();
}
DB::$dbs->query("DELETE FROM nar WHERE id = ?", [abs((int)$_GET['del'])]);
header('Location: ?id='.$id);
die();
}
if ($b['level'] > 0 && $b['level'] >= user_inf($id, 'level') && $id != $b['id']) {
if (isset($_POST['add'])) {
$form = ['text' => isset($_POST['text']) ? check($_POST['text']) : null, 'type' => isset($_POST['type']) ? abs((int)$_POST['type']) : null];
if (empty($form['text'])) {
err('Введите комментарий!');
} elseif (empty($form['type'])) {
err('Укажите тип!');
} else {
DB::$dbs->query("INSERT INTO nar SET user_id = ?, id_user = ?, text = ?, type = ?, time = ?", [$id,$b['id'],$form['text'],$form['type'],time()]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` - ? WHERE `id` = ?", [10,$id]);
jurnal($id,Nick($b['id']).' выписал вам [url=http://'.$_SERVER['HTTP_HOST'].'/info/expired.html?id='.$id.'][b]'.($form['type'] == 1 ? 'предупреждение':'нарушение').'[/b][/url]',5); // личная лента
lenta(Nick($b['id']).' выписал [url=http://'.$_SERVER['HTTP_HOST'].'/info/expired.html?id='.$id.'][b]'.($form['type'] == 1 ? 'предупреждение':'нарушение').'[/b][/url] для '.Nick($id)); // общая лента
header('Location: ?id='.$id);
die();
}
}
echo '<div class="row text_box"><form action="?id='.$id.'" method="POST">Комментарий:<br/><textarea class="form-control" rows="3" name="text"></textarea><br/><input type="radio" name="type" value="1" checked="checked"/> Предупреждение<br/><input type="radio" name="type" value="2"/> Нарушение <br/><input type="submit" name="add" class="btn btn-primary" value="Вписать"/></form></div>';
}
$look = DB::$dbs -> querySingle("SELECT COUNT(id) FROM nar WHERE user_id = ?",array($id));
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
if ($look==0) {
echo '<div class="error">Этот пользователь не имеет предупреждений!</div>';
} else {
$sql = DB::$dbs->query("SELECT * FROM nar WHERE user_id = ? ORDER BY time DESC LIMIT $start,$num",[$id]);
while ($arr = $sql -> fetch()) {
$_del = ($b['level'] > 4 ? '[<a href="?id='.$id.'&del='.$arr['id'].'">Удл</a>]':NULL);
$arrType = [1 => 'Предупреждение', 2 => 'Нарушение', 3 => 'Бан'];
echo'<div class="row text_box">'.$_del.' Тип: <b>'.strtr($arr['type'],$arrType).'</b><br/>Выдано:  '.vr($arr['time']).'<br/>'.($arr['type'] == 3 ? 'Действует до: '.date('d.m.y / H:i', $arr['dateban']).'<br/>':NULL).'Модератор: '.Nick($arr['id_user']).' ';
if (!empty($arr['tema'])) {
echo '<br/>В соответствии с пунктом: <b>'.($arr['nar'] != 0 ? $arr['nar'] : 'На усмотрение администратора').'</b>';
}
if (!empty($arr['message'])) {
echo '<br/>Текст на момент наказания: '.text($arr['message']);
}
echo '<br/>Комментарий от модератора: '.text($arr['text']).'<br/>'.(!empty($arr['tema']) ? 'Ссылка на тему: <a href="'.$arr['tema'].'">'.$arr['tema'].'</a>': NULL).'</div>';
}
}
if ($k_page>1) {
str('?id='.$id.'&', $k_page,$page);
}
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>